<?php include "common/user_log.php"; ?>
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>Sampathbay</title>
  <!-- Place favicon.ico in the root directory -->
   <link rel="shortcut icon" type="image/x-icon" href="../img/S_favicon.ico"> 
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
  <!-- Bootstrap 3.3.5 -->
  <link rel="stylesheet" href="bootstrap/css/bootstrap.min.css">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="dist/css/font-awesome.min.css">
  <!-- Ionicons -->
  <link rel="stylesheet" href="dist/css/ionicons.min.css">
  <!-- daterange picker -->
  <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker-bs3.css">
  <!-- iCheck for checkboxes and radio inputs -->
  <link rel="stylesheet" href="plugins/iCheck/all.css">
  <!-- Bootstrap Color Picker -->
  <link rel="stylesheet" href="plugins/colorpicker/bootstrap-colorpicker.min.css">
  <!-- Bootstrap time Picker -->
  <link rel="stylesheet" href="plugins/timepicker/bootstrap-timepicker.min.css">
  <!-- Select2 -->
  <link rel="stylesheet" href="plugins/select2/select2.min.css">
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables/dataTables.bootstrap.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/AdminLTE.min.css">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="dist/css/skins/_all-skins.min.css">
  <link rel="stylesheet" href="plugins/sweetalert/sweetalert.css" />
</head>

<body class="hold-transition skin-blue sidebar-mini">
  <div class="wrapper">

    <header class="main-header">
      <!-- Logo -->
      <a href="home.php" class="logo">
        <!-- mini logo for sidebar mini 50x50 pixels -->
        <span class="logo-mini"><img src="img/logo_mini.png" width="50"></span>
        <!-- logo for regular state and mobile devices -->
        <span class="logo-lg"><b><img src="img/logo.png" width="200"></b></span> </a>
      <!-- Header Navbar: style can be found in header.less -->
      <nav class="navbar navbar-static-top" role="navigation">
        <!-- Sidebar toggle button-->
        <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
          <span class="sr-only">Toggle navigation</span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="logo-lg">
            &nbsp;&nbsp;<font face="Lucida Sans Unicode, Lucida Grande, sans-serif">Sampathbay</font></span>
        </a>

        <div class="navbar-custom-menu">
          <ul class="nav navbar-nav">

            <!-- User Account: style can be found in dropdown.less -->
            <li class="dropdown user user-menu">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                <img src="dist/img/user2-160x160.png" class="user-image" alt="User Image">
                <span class="hidden-xs"><?php echo $name; ?></span>
              </a>
              <ul class="dropdown-menu">
                <!-- User image -->
                <li class="user-header">
                  <img src="dist/img/user2-160x160.png" class="img-circle" alt="User Image">
                  <p>
                    Sampathbay

                  </p>
                </li>
                <!-- Menu Body -->

                <!-- Menu Footer-->
                <li class="user-footer">
                  <div class="pull-left">

                  </div>
                  <div class="pull-right">
                    <a href="distroy.php" class="btn btn-default btn-flat">Sign out</a>
                  </div>
                </li>
              </ul>
            </li>
            <!-- Control Sidebar Toggle Button -->
            <li>
              <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
            </li>
          </ul>
        </div>
      </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">
      <!-- sidebar: style can be found in sidebar.less -->
      <section class="sidebar">
        <!-- Sidebar user panel -->
        <?php include "common/sidebar.php"; ?>

      </section>
      <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
      <!-- Content Header (Page header) -->
      <section class="content-header">
        <h1>
          Create User Accounts
        </h1>

        <ol class="breadcrumb">
          <li><a href="home.php"><i class="fa fa-home"></i> Home</a></li>
        </ol>
      </section>

      <!-- Main content -->
      <section class="content">

        <!-- ************************************************* -->
        <div class="box box-info only_eng">
          <div class="box-header with-border">
            <h3 class="box-title">User Accounts</h3>
          </div>

          <div class="box-body">

            <div class="form-group">
              <label>Select Group Profile:<font color="#FF0000"><strong>*</strong></font></label>
              <select class="form-control select2" id="group" style="width: 100%;">
                <option value=""></option>
                <?php $sql_pr = mysqli_query($conn, "SELECT * FROM group_profile ORDER BY type ASC");
                while ($row_pr = mysqli_fetch_array($sql_pr)) { ?>
                  <option value="<?php echo $row_pr['id']; ?>"><?php echo $row_pr['type']; ?></option>
                <?php } ?>
              </select>
              <span id="group_val_msg" style="color: red; display: none">*Please Select Group Profile</span>
            </div>

            <div class="form-group">
              <label>Select Staff Member:<font color="#FF0000"><strong>*</strong></font></label>
              <select class="form-control select2" id="emp_id" style="width: 100%;">
                <option value=""></option>
                <?php $sql_st = mysqli_query($conn, "SELECT id, name FROM staff_members WHERE id NOT IN (SELECT emp_id FROM user_acc_tbl) ORDER BY name ASC");
                while ($row_st = mysqli_fetch_array($sql_st)) { ?>
                  <option value="<?php echo $row_st['id']; ?>"><?php echo $row_st['name']; ?></option>
                <?php } ?>
              </select>
              <span id="staff_val_msg" style="color: red; display: none">*Please Select Staff Member</span>
            </div>

            <div class="form-group">
              <label>User Name:<font color="#FF0000"><strong>*</strong></font></label>
              <input type="text" class="form-control" id="username" placeholder="Enter User Name..." autocomplete="off">
              <span id="user_val_msg" style="color: red; display: none">*Enter User Name</span>
            </div>

            <div class="form-group">
              <label>Password:<font color="#FF0000"><strong>*</strong></font></label>
              <input type="password" class="form-control" id="password" placeholder="Enter Password..." autocomplete="off">
              <span id="pw_val_msg" style="color: red; display: none">*Enter Password</span>
            </div>

            <!-- /.box-body -->
            <div class="box-footer">
              <button id="btn_submit" class="btn btn-danger">CREATE ACCOUNT</button>
            </div>

          </div>
        </div>

        <!-- /.table -->

        <div class="box box-info">
          <div class="box-header">
            <h3 class="box-title">Details Edit / Remove</h3>
          </div>
          <!-- /.box-header -->
          <div class="box-body">
            <table id="example1" class="table table-bordered table-striped">
              <thead>
                <tr>
                  <th>ID</th>
                  <th>Acc Type</th>
                  <th>Member</th>
                  <th>Username</th>
                  <th class="only_eng">Edit</th>
                  <!--<th class="only_eng">Remove</th>-->
                </tr>
              </thead>
              <tbody>
                <?php
                $sql = "SELECT
staff_members.name,
user_acc_tbl.`user`,
group_profile.`profile`,
user_acc_tbl.id
FROM
user_acc_tbl
Inner Join staff_members ON user_acc_tbl.emp_id = staff_members.id
Inner Join group_profile ON group_profile.id = user_acc_tbl.val WHERE user_acc_tbl.val <>1 
ORDER BY
user_acc_tbl.val ASC
";
                $result = mysqli_query($conn, $sql);

                $x = 0;
                while ($row = mysqli_fetch_array($result)) {
                  $x++;
                ?>
                  <tr>
                    <td><?php echo $x; ?>.</td>
                    <td><?php echo $row['profile']; ?></td>
                    <td><?php echo $row['name']; ?></td>
                    <td><?php echo $row['user']; ?></td>
                    <td align="center" class="only_eng">
                      <button class="btn btn-info btn-sm btn_up" data-toggle="modal" data-target="#edit_lng" value="<?php echo $row['id']; ?>"><span class="glyphicon glyphicon-pencil"></span> &nbsp;EDIT </button>
                    </td>
                    <!--<td align="center" class="only_eng"><button value="<?php //echo $row['id']; 
                                                                            ?>" class="btn btn-danger btn-sm btn_dell">
                <span class="glyphicon glyphicon-trash"></span> &nbsp;DELETE </button></td>-->
                  </tr>
                <?php  } ?>
              </tbody>
            </table>
          </div>
          <!-- /.box-body -->
        </div>

      </section>

    </div>
    <!-- /.End table -->
    <!-- ************************************************* -->

    <!-- /.col -->
  </div><!-- /.row -->
  </div><!-- /.box-body -->



  <div class="row">



  </div>
  <!-- /.col (right) -->


  </div>
  <footer class="main-footer">
    <div class="pull-right hidden-xs">

    </div> <strong>&copy; 2019 Sampathbay. </strong> All Rights Reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Create the tabs -->
    <ul class="nav nav-tabs nav-justified control-sidebar-tabs">
      <li><a href="#control-sidebar-home-tab" data-toggle="tab"><i class="fa fa-home"></i></a></li>
      <li><a href="#control-sidebar-settings-tab" data-toggle="tab"><i class="fa fa-gears"></i></a></li>
    </ul>
    <!-- Tab panes -->
    <div class="tab-content">
      <!-- Home tab content -->
      <div class="tab-pane" id="control-sidebar-home-tab">





      </div><!-- /.tab-pane -->


    </div><!-- /.tab-pane -->
    </div>
  </aside><!-- /.control-sidebar -->
  <!-- Add the sidebar's background. This div must be placed
           immediately after the control sidebar -->
  <div class="control-sidebar-bg"></div>
  </div><!-- ./wrapper -->

  <!-- Modal -->
  <div class="modal fade" id="edit_lng" role="dialog">
    <div class="modal-dialog">

      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title" id="test_id">Edit User Account</h4>
        </div>
        <div class="modal-body">

          <div class="form-group">
            <label>Select Group Profile:<font color="#FF0000"><strong>*</strong></font></label>
            <select class="form-control" id="group_up" style="width: 100%;">
            </select>
          </div>

          <div class="form-group">
            <label>Select Staff Member:<font color="#FF0000"><strong>*</strong></font></label>
            <select class="form-control" id="emp_id_up" style="width: 100%;">
            </select>
          </div>

          <div class="form-group">
            <label>User Name:<font color="#FF0000"><strong>*</strong></font></label>
            <input type="text" class="form-control" id="username_up" readonly>
          </div>

          <input type="hidden" id="user_id_up" readonly>

          <span style="color: red;" class="pull-right">* Required Fields</span>
          <div class="form-group">
            <button class="btn btn-danger" id="update_btn">UPDATE</button>
          </div>

        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>

    </div>
  </div>


  <!-- jQuery 2.1.4 -->
  <script src="plugins/jQuery/jQuery-2.1.4.min.js"></script>
  <!-- Bootstrap 3.3.5 -->
  <script src="bootstrap/js/bootstrap.min.js"></script>
  <!-- Select2 -->
  <script src="plugins/select2/select2.full.min.js"></script>
  <!-- DataTables -->
  <script src="plugins/datatables/jquery.dataTables.min.js"></script>
  <script src="plugins/datatables/dataTables.bootstrap.min.js"></script>
  <!-- InputMask -->
  <script src="plugins/input-mask/jquery.inputmask.js"></script>
  <script src="plugins/input-mask/jquery.inputmask.date.extensions.js"></script>
  <script src="plugins/input-mask/jquery.inputmask.extensions.js"></script>
  <!-- date-range-picker -->
  <script src="plugins/daterangepicker/moment.min.js"></script>
  <script src="plugins/daterangepicker/daterangepicker.js"></script>
  <!-- bootstrap color picker -->
  <script src="plugins/colorpicker/bootstrap-colorpicker.min.js"></script>
  <!-- bootstrap time picker -->
  <script src="plugins/timepicker/bootstrap-timepicker.min.js"></script>
  <!-- SlimScroll 1.3.0 -->
  <script src="plugins/slimScroll/jquery.slimscroll.min.js"></script>
  <!-- iCheck 1.0.1 -->
  <script src="plugins/iCheck/icheck.min.js"></script>
  <!-- FastClick -->
  <script src="plugins/fastclick/fastclick.min.js"></script>
  <!-- AdminLTE App -->
  <script src="dist/js/app.min.js"></script>
  <!-- AdminLTE for demo purposes -->
  <script src="dist/js/demo.js"></script>
  <script src="plugins/sweetalert/sweetalert.min.js"></script>
  <!-- Page script -->
  <script>
    $(function() {
      //Initialize Select2 Elements
      $(".select2").select2();

      //Datemask dd/mm/yyyy
      $("#datemask").inputmask("dd/mm/yyyy", {
        "placeholder": "yyyy-mm-dd"
      });
      //Datemask2 mm/dd/yyyy
      $("#datemask2").inputmask("mm/dd/yyyy", {
        "placeholder": "yyyy-mm-dd"
      });
      //Money Euro
      $("[data-mask]").inputmask();

      //Date range picker
      $('#reservation').daterangepicker();
      //Date range picker with time picker
      $('#date').daterangepicker({
        timePicker: false,
        timePickerIncrement: 30,
        format: 'YYYY-MM-DD'
      });
      $('#edt_date').daterangepicker({
        timePicker: false,
        timePickerIncrement: 30,
        format: 'YYYY-MM-DD'
      });
      //Date range as a button
      $('#daterange-btn').daterangepicker({
          ranges: {
            'Today': [moment(), moment()],
            'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
            'Last 7 Days': [moment().subtract(6, 'days'), moment()],
            'Last 30 Days': [moment().subtract(29, 'days'), moment()],
            'This Month': [moment().startOf('month')],
            'Last Month': [moment().subtract(1, 'month').startOf('month')]
          },
          startDate: moment().subtract(29, 'days'),

        },
        function(start) {
          $('#reportrange span').html(start.format('MMMM D, YYYY'));
        }
      );

      //iCheck for checkbox and radio inputs
      $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
        checkboxClass: 'icheckbox_minimal-blue',
        radioClass: 'iradio_minimal-blue'
      });
      //Red color scheme for iCheck
      $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
        checkboxClass: 'icheckbox_minimal-red',
        radioClass: 'iradio_minimal-red'
      });
      //Flat red color scheme for iCheck
      $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
        checkboxClass: 'icheckbox_flat-green',
        radioClass: 'iradio_flat-green'
      });


    });

    $(function() {
      $("#example1").DataTable();
      $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false
      });
    });
  </script>

  <script>
    /***************************************  Form Validation**********************************/

    var user_val = true;

    function user_validate() {
      if ($('#username').val() === '') {
        user_val = false;
        $('#user_val_msg').fadeIn();
        display_error_msg();
      } else {
        user_val = true;
        clear_validation();
      }
    }

    var pw_val = true;

    function pw_validate() {
      if ($('#password').val() === '') {
        pw_val = false;
        $('#pw_val_msg').fadeIn();
        display_error_msg();
      } else {
        pw_val = true;
        clear_validation();
      }
    }

    var staff_val = true;

    function emp_validate() {
      if ($('#emp_id').val() === '') {
        staff_val = false;
        $('#staff_val_msg').fadeIn();
        display_error_msg();
      } else {
        staff_val = true;
        clear_validation();
      }
    }

    var group_val = true;

    function group_validate() {
      if ($('#group').val() === '') {
        group_val = false;
        $('#group_val_msg').fadeIn();
        display_error_msg();
      } else {
        group_val = true;
        clear_validation();
      }
    }

    function display_error_msg() {
      if ($('#username').val() === '') {
        $('#user_val_msg').fadeIn();
      }

      if ($('#password').val() === '') {
        $('#pw_val_msg').fadeIn();
      }

      if ($('#emp_id').val() === '') {
        $('#staff_val_msg').fadeIn();
      }

      if ($('#group').val() === '') {
        $('#group_val_msg').fadeIn();
      }
    }

    function clear_validation() {
      if ($('#username').val() != '') {
        $('#user_val_msg').fadeOut();
      }

      if ($('#password').val() != '') {
        $('#pw_val_msg').fadeOut();
      }

      if ($('#emp_id').val() != '') {
        $('#staff_val_msg').fadeOut();
      }

      if ($('#group').val() != '') {
        $('#group_val_msg').fadeOut();
      }
    }

    $('.form-control').focusin(function() {
      $('.formError').fadeOut();
    });

    /****************************** Insert Acc *********************************************************/

    $("#btn_submit").click(function() {
      user_validate();
      pw_validate();
      emp_validate();
      group_validate();

      if (user_val && pw_val && staff_val && group_val) {
        var group = $('#group').val();
        var emp_id = $('#emp_id').val();
        var username = $('#username').val();
        var password = $('#password').val();

        $.post('function/create_user_conn.php', {
            create_user: 'data',
            group: group,
            emp_id: emp_id,
            username: username,
            password: password
          },
          function(data) {
            if (data.msgType === 1) {
              setTimeout(function() {
                swal({
                    title: "",
                    text: "Successfully Created!",
                    type: "success",
                    confirmButtonText: "OK"
                  },
                  function(isConfirm) {
                    if (isConfirm) {
                      window.location.href = "create_user_account.php";
                    }
                  });
              }, 100);

            } else if (data.msgType === 2) {
              swal("MYSQL Error!", "Please Try Again!", "warning");

            } else if (data.msgType === 3) {
              swal("", "Username Already Exist!", "warning");

            }

          }, "json");

      }
    });

    /******************************************* Remove Acc **************************************

    $(".btn_dell").click(function(){
      var x = $(this).val();
      swal({
    	title: "Are you sure?",
    	text: "Your may not be able to recover!",
    	type: "warning",
    	showCancelButton: true,
    	confirmButtonClass: "btn-danger",
    	confirmButtonText: "Yes, delete it!",
    	closeOnConfirm: false
      },
    	function () {
    	  del_func(x);
    	}
      );
    });

    function del_func(uid){
    	if(uid === '') {
    		swal("Warning!", "Please Select Valid Group ID!", "warning");
    	
    	} else {	
    		
    		$.post( "function/create_user_conn.php", {remove_acc: "data", uid : uid}, function( data ) {	  
    		    if (data.msgType === 1) {
    			  swal({
    				title: "Deleted!",
    				text: "Successfully Deleted!",
    				type: "success",
    				confirmButtonText: "OK"
    				  },
    				  function (isConfirm) {
    				if (isConfirm) {
    					window.location.href = "create_user_account.php";
    				}
    			  });
    			}else{
    			  swal("Oops...", "Something went wrong!", "warning");
    			}
    		}, "json");
    	}
    }

    /******************************************* Load Form Data **************************************/

    $(".btn_up").click(function() {
      load_form_data($(this).val());
      $("#user_id_up").val($(this).val());
    });

    function load_form_data(uid) {
      $.post("function/create_user_conn.php", {
        get_dataset: "data",
        uid: uid,
      }, function(data) {
        $.each(data, function(index, data) {
          $("#username_up").val(data.user);
          load_group(data.val);
          load_emp(data.emp_id);

          function load_group(group_id) {
            $.post('function/create_user_conn.php', {
              'get_group': 'data',
              group_id: group_id
            }, function(data) {
              $("#group_up").html(data);
            });
          }

          function load_emp(emp_id) {
            $.post('function/create_user_conn.php', {
              'get_emp': 'data',
              emp_id: emp_id
            }, function(data) {
              $("#emp_id_up").html(data);
            });
          }

        });

      }, "json");
    }

    /******************************************* Edit Acc **************************************/

    $("#update_btn").click(function() {
      var gid = $('#group_up').val();
      var emp_id = $('#emp_id_up').val();

      var uid = $('#user_id_up').val();

      if (gid === '' || emp_id === '') {
        swal("Warning!", "Please Enter Required Fields!", "warning");

      } else if (uid === '') {
        swal("Warning!", "Please Select Valid User!", "warning");

      } else {

        $.post('function/create_user_conn.php', {
            update_acc: 'data',
            uid: uid,
            gid: gid,
            emp_id: emp_id
          },
          function(data) {
            if (data.msgType === 1) {
              setTimeout(function() {
                swal({
                    title: "",
                    text: "Successfully Updated!",
                    type: "success",
                    confirmButtonText: "OK"
                  },
                  function(isConfirm) {
                    if (isConfirm) {
                      window.location.href = "create_user_account.php";
                    }
                  });
              }, 100);

            } else if (data.msgType === 2) {
              swal("MYSQL Error!", "Please Try Again!", "warning");
            }

          }, "json");

      }
    });
  </script>

</body>

</html>